OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.Multisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTMultisample :: MonadIO m => m Bool
- gl_EXT_multisample :: Bool
- pattern GL_1PASS_EXT :: GLenum
- pattern GL_2PASS_0_EXT :: GLenum
- pattern GL_2PASS_1_EXT :: GLenum
- pattern GL_4PASS_0_EXT :: GLenum
- pattern GL_4PASS_1_EXT :: GLenum
- pattern GL_4PASS_2_EXT :: GLenum
- pattern GL_4PASS_3_EXT :: GLenum
- pattern GL_MULTISAMPLE_BIT_EXT :: GLbitfield
- pattern GL_MULTISAMPLE_EXT :: GLenum
- pattern GL_SAMPLES_EXT :: GLenum
- pattern GL_SAMPLE_ALPHA_TO_MASK_EXT :: GLenum
- pattern GL_SAMPLE_ALPHA_TO_ONE_EXT :: GLenum
- pattern GL_SAMPLE_BUFFERS_EXT :: GLenum
- pattern GL_SAMPLE_MASK_EXT :: GLenum
- pattern GL_SAMPLE_MASK_INVERT_EXT :: GLenum
- pattern GL_SAMPLE_MASK_VALUE_EXT :: GLenum
- pattern GL_SAMPLE_PATTERN_EXT :: GLenum
- glSampleMaskEXT :: MonadIO m => GLclampf -> GLboolean -> m ()
- glSamplePatternEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTMultisample :: MonadIO m => m Bool Source #

Is the EXT_multisample extension supported?

gl_EXT_multisample :: Bool Source #

Is the EXT_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTMultisample` in those cases instead.

# Enums

pattern GL_1PASS_EXT :: GLenum Source #

pattern GL_2PASS_0_EXT :: GLenum Source #

pattern GL_2PASS_1_EXT :: GLenum Source #

pattern GL_4PASS_0_EXT :: GLenum Source #

pattern GL_4PASS_1_EXT :: GLenum Source #

pattern GL_4PASS_2_EXT :: GLenum Source #

pattern GL_4PASS_3_EXT :: GLenum Source #

pattern GL_MULTISAMPLE_BIT_EXT :: GLbitfield Source #

pattern GL_MULTISAMPLE_EXT :: GLenum Source #

pattern GL_SAMPLES_EXT :: GLenum Source #

pattern GL_SAMPLE_ALPHA_TO_MASK_EXT :: GLenum Source #

pattern GL_SAMPLE_ALPHA_TO_ONE_EXT :: GLenum Source #

pattern GL_SAMPLE_BUFFERS_EXT :: GLenum Source #

pattern GL_SAMPLE_MASK_EXT :: GLenum Source #

pattern GL_SAMPLE_MASK_INVERT_EXT :: GLenum Source #

pattern GL_SAMPLE_MASK_VALUE_EXT :: GLenum Source #

pattern GL_SAMPLE_PATTERN_EXT :: GLenum Source #

# Functions

glSampleMaskEXT Source #

Arguments

:: MonadIO m |
=> GLclampf | `value` of type `ClampedFloat32`.
-> GLboolean | `invert` of type Boolean.
-> m () |

glSamplePatternEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `pattern` of type SamplePatternEXT.
-> m () |